Package org.eclipse.m2m.atl.common.PrimitiveTypes

## Interface PrimitiveTypesPackage.Literals

Enclosing class:
  PrimitiveTypesPackage

    public static interface PrimitiveTypesPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

### Field Summary

Fields
`static org.eclipse.emf.ecore.EDataType` `BOOLEAN` The meta object literal for the 'Boolean' data type.
`static org.eclipse.emf.ecore.EDataType` `DOUBLE` The meta object literal for the 'Double' data type.
`static org.eclipse.emf.ecore.EDataType` `INTEGER` The meta object literal for the 'Integer' data type.
`static org.eclipse.emf.ecore.EDataType` `STRING` The meta object literal for the 'String' data type.

### Field Detail

#### BOOLEAN

    static final org.eclipse.emf.ecore.EDataType BOOLEAN

The meta object literal for the 'Boolean' data type.

See Also:
  `PrimitiveTypesPackage.getBoolean()`

#### DOUBLE

    static final org.eclipse.emf.ecore.EDataType DOUBLE

The meta object literal for the 'Double' data type.

See Also:
  `PrimitiveTypesPackage.getDouble()`

#### INTEGER

    static final org.eclipse.emf.ecore.EDataType INTEGER

The meta object literal for the 'Integer' data type.

See Also:
  `PrimitiveTypesPackage.getInteger()`

#### STRING

    static final org.eclipse.emf.ecore.EDataType STRING

The meta object literal for the 'String' data type.

See Also:
  `String`, `PrimitiveTypesPackage.getString()`